/**
 * Name: layout.css
 *	
 *	-
 *
 *	T.O.C
 *	
 *	#General Layout 
 *		#Header
 *		#Content
 *		#Footer
 *	#Page Styles
 *		#Index
 *		#Services
 *		#Solutions
 *		#Contact
 *		#Page 404
 *	#Responsive
 *		#Large Display
 *		#Smaller then 1024px width	
 *		#Tablet (Portrait)
 *		#Mobile (Portrait and Landscape )
 *		#Mobile ( Landscape )
 */

/* ==========================================================================
   #General Layout 
   ========================================================================== */

	#wrap {
		position: relative;
		background-color: #fff;
	}
	
/* #Header
   ========================================================================== */	
   	
	#header-top {
		padding: 7px 0 5px 0;
		background-color: #161616;
		color: #bbb;
		text-align: right;
	}
	
	#header {}
	
	@media (min-width: 1025px) {
	
		.stuck {
			position: fixed !important;
			z-index: 1100;
			top: 0;
			width: 100% !important;
		}
		
		#header.stuck {
			-webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
					box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
			background: #fff;
		}
		
		
		.stuck #logo { margin: 15px 0; }
		.stuck #logo img{ height: 35px; }
		.stuck .sf-menu { margin-top: 14px; }
		
		.stuck .sf-menu > li > a,
		.stuck .sf-menu > li.dropdown > a { padding-bottom: 15px; }
		
		.stuck .sf-menu li.dropdown ul { margin-top: 8px; }
		.stuck .sf-mega { margin-top: 0; }
		
		.stuck #custom-search-form { top: 10px; }
	
	}
	
	/* Logo */

	#logo {
		display: block; 
		margin: 15px 0;
	}
	
	#logo img { display: block; }
		
	/* Menu basics */

	.sf-menu,
	.sf-menu ul {		
		padding: 0;
		margin: 0;
		list-style: none;
	}
	
	.sf-menu > li { float: left; }

	.sf-menu > li > a {
		position: relative;
		display: block;
	}
	
	.sf-menu .sf-mega,
	.sf-menu li.dropdown ul {
		position: absolute;
		z-index: 210;
		top: 100%;
		left: 0;
		display: none;
	}
	
	.sf-menu li.dropdown { position: relative; }
	
	.sf-menu li.dropdown ul ul {
		top: -1px;
		left: 100%;
	}
	
	.sf-menu li:hover > .sf-mega,
	.sf-menu li.sfHover > .sf-mega,
	.sf-menu li.dropdown:hover > ul,
	.sf-menu li.dropdown.sfHover > ul { display: block; }

	/* Menu Skin */
	
	.sf-menu { 
		float: right;
		/*width: 100%;*/
		margin-top: 27px;
	} 
	
	.sf-menu a {
		display: block;
		padding: 10px 0;
		border-bottom: 1px dotted rgba(0, 0, 0, 0.15);
		font: 13px 'Oswald', Arial, sans-serif;
		font-weight: 300;
		color: #022b36; 
		text-decoration: none;
		text-transform: uppercase;
	}
	
	.sf-menu li:last-child > a { border-bottom: none; }
	
	.sf-menu > li > a,
	.sf-menu > li.dropdown > a {
		padding: 10px 0 30px 0;
		border: none;
		color: #022b36;
		font-size: 13px;
		text-transform: uppercase;	
	}
	
	.sf-menu > li a i { margin-right: 5px; }
	
	.sf-menu > li > a span { padding: 7px 10px; }
	.sf-menu > li > a.sf-with-ul span { padding-right: 30px; }
	
	.sf-menu li.sfHover > a,
	.sf-menu a:hover,
	.sf-menu li.sfHover a:hover {
		color: #2F519E;
		text-decoration: none;	
	}
	
	.sf-menu > li.current > a span { background-color: #2F519E; }
	
	.sf-menu > li.current > a,
	.sf-menu > li.current > a:hover { color: #fff; }

	/**
 	 * 1. allow long menu items to determine submenu width
 	 */
	
	.sf-menu li.dropdown ul {
		min-width: 180px; /* 1 */
		border: 1px solid rgba(0, 0, 0, 0.1);	
		background-color: #fff;			
	}

	.sf-menu > li.dropdown ul { border-bottom: 3px solid #2F519E; }	
	.sf-menu > li.dropdown > ul li a { padding: 10px 15px; }
		
	/* mega menu dropdown */
	
	.sf-mega {
		width: 100%;
		-webkit-box-sizing: border-box;
		   -moz-box-sizing: border-box;
				box-sizing: border-box;
		padding: 15px 0;
		border: 1px solid rgba(0, 0, 0, 0.1);
		border-bottom: 3px solid #2F519E;	
		background-color: #fff;
	}
	
	.sf-mega-section {
		float: left;
		min-width: 155px;
		width: 25%;
		-webkit-box-sizing: border-box;
		   -moz-box-sizing: border-box;
				box-sizing: border-box;
		padding: 0 20px;
		border-right: 1px solid #efefef;
	}
	
	.sf-mega-section:last-child { border-right: none; }

	/* arrows */
	
	/* styling for both css and generated arrows */
	
	.sf-arrows .sf-with-ul:after {
		position: absolute;
		top: 14px;
		right: 10px;	
		font-family: 'iconfontcustom';
		font-size: 8px;	
		content: "";
	}
	
	/* styling for right-facing arrows */
	
	.sf-arrows ul .sf-with-ul:after {
		content: "";
	}
	
	/* Mobile Menu  */
			
	#mobile-menu {
		z-index: 20;
		border-bottom: 1px solid #b4bfc3;
		margin-bottom: 0;
	}
	
	#mobile-menu li {	
		display: block;
		margin: 0;
		background: #fafafa;
		font-family: 'Oswald', sans-serif;
		text-transform: uppercase;
	}
		
	#mobile-menu > li > ul, 
	#mobile-menu > li > ul > li > ul {
		display: none;
		margin-left: 0;
	}
	
	#mobile-menu .sf-mega {
		display: none;
		padding: 0;
		border: none;
		margin: 0;
	}
	
	#mobile-menu .sf-mega-section {
		float: none;
		width: 100%;
		padding: 0;
		border: none;
	}
	
	#mobile-menu .sf-mega-section ul { margin-left: 0; }

	#mobile-menu li a {
		position: relative;
		display: block;
		padding: 15px 25px;
		border-top: 1px solid #b4bfc3;
		color: #022b36;
		font-size: 13px;
		text-align: left;
		text-decoration: none;
	}
	
	#mobile-menu ul a { padding-left: 45px; }
	
	#mobile-menu ul li ul a  { padding-left: 65px; }
	
	#mobile-menu .mobile-menu-submenu-arrow {
		position: absolute;
		top: 0;
		right: 0;
		height: 100%;
		width: 70px;
		border-left: 1px solid #b4bfc3;
		color: #022b36;
		font-size: 20px;
		line-height: 50px;
		text-align: center;
		cursor: pointer;
	}
	
	#mobile-menu .mobile-menu-submenu-arrow:hover { background-color: #c8d3d7; }
	
	#mobile-menu li a:hover {}
	
	#mobile-menu { display: none; }
	
	/* Mobile menu trigger  */
				
	#mobile-menu-trigger { 
		float: right;
		display: none;
		margin-top: 34px;  
		font-size: 32px;
	}				
	
/* #Content
   ========================================================================== */
   		
	#content {
		min-height: 300px; 
		padding-bottom: 50px;  
	}

	/* Page Header */
	
	#page-header {
		padding: 35px 0;
		margin-bottom: 30px;
		background-color: #2F519E;
	}
	
	#page-header h1 {
		margin-bottom: 0;
		color: #fff;
		line-height: 36px; 
	}
	
			
/* #Footer
   ========================================================================== */		
		
	#footer {}
	
	#footer-top { 
		background-color: #2F519E;
		color: #fff;
	}
	
	#footer-top a { color: #fff; }
	
	#footer-middle {
		padding: 100px 0 45px 0;
		background-color: #2F519E;
		color: #fff;
	}
	
	#footer-middle a { color: #fff; }
	
	#footer-bottom {
		padding: 20px 0; 
		background-color: #161616;
		color: #bbb;
		font-size: 11px;
	}
			
/* ==========================================================================
   #Page Styles
   ========================================================================== */
   
/* #Index
   ========================================================================== */


/* #Services
   ========================================================================== */
   
   	.box {
		position: relative;
		padding-top: 35px;
		border: 1px solid #b4bfc3;
		margin: 50px 0;
		text-align: center;
	}
	
	.box img {
		display: block;
		width: 100%;
	}
	
	.box .btn {
		position: absolute;
		bottom: 20px;
		left: 50%;
		margin-left: -68px;
	}
      
/* #Solutions
   ========================================================================== */
   .product {
	   padding: 10px;
   }
   
   .product img {
	   float: right;
   }
   
   #vendors .span3 {
	margin: 0 !important;
	}
   
/* #Page 404
   ========================================================================== */
  	
	h1.error {
		margin-top: 30px;
		color: #2F519E;
		font-size: 125px;
		line-height: 150px;
		text-align: center;
	}	
	
/* ==========================================================================
   #Responsive
   ========================================================================== */
   
/* #Large Display
   ========================================================================== */
   	
	@media (min-width: 1400px) {
		
		#wrap {}
		
		.sf-menu > li { margin-right: 25px; }
		.sf-menu > li:last-child { margin-right: 0; }
		
	}

/* #Smaller then 1024px width
   ========================================================================== */
	
	@media (max-width: 1024px) {

		#wrap {}
		
		#header {}
		
		#content {}
		
		#footer {}
		
	}

/* #Tablet (Portrait)
   ========================================================================== */

	@media (min-width: 768px) and (max-width: 979px) {
		
		#wrap {}
		
		#header {}
		
		#menu { display: none; }
		
		#mobile-menu-trigger { 
			display: block;
			margin-top: 20px;
			margin-right: 10px;
		}
		
		#custom-search-form { right: 65px; }	
		
		#content {}
		
		#footer {}
		
		/* Portfolio */
		
		.portfolio-items li,
		.portfolio-strip li {
			width: 50%;
		}
		
		.portfolio-item-description h3 { width: 100%; }
		
		.portfolio-item:hover .portfolio-item-overlay .portfolio-item-description { bottom: 20px; }


	}
	
/* #Mobile (Portrait and Landscape )
   ========================================================================== */
	
	@media (max-width: 767px) {
	
		body { 
			background: none; 
			background-color: #fff; 
		}
		
		#wrap { border-top: 5px solid #2F519E; }
		
		#header-top { display: none; }
		
		#header {}
		
		#custom-search-form { display: none; }	
		
		#logo {}
		
		#menu { display: none; }
		
		#mobile-menu-trigger { 
			position: absolute;
			top: 5px;
			right: 10px;
			display: block;
			padding: 10px;
			margin-top: 0;
		}
		
		#content {}				
		
		#footer{}	

		.row { padding: 0 40px; }
		
		.row .row { 
			width: auto; 
			padding: 0; 
			margin: 0; 
		}
		
		p.last, 
		h1.last, 
		h2.last, 
		h3.last, 
		h4.last, 
		h5.last, 
		address.last, 
		ul.last, 
		ol.last { margin-bottom: 20px; }
		
		.text-right{ text-align: left; }
		
		/* Portfolio Items */
		
		.portfolio-strip li {
			float: none;
			width: 100%;
		}
		
		.portfolio-items li {
			float: none;
			width: 100%;
		}
		
		.portfolio-item-description h3 { width: 100%; }
		
		.portfolio-item:hover .portfolio-item-overlay .portfolio-item-description { bottom: 20px; }
		
		.portfolio-filter ul li { 
			display: block;
			margin-right: 0;
			margin-bottom: 10px;
			text-align: left;
		}
		
		.portfolio-filter ul li:last-child { margin-bottom: 0; }
		
		.pagination { float: none; }
		
		
		/* Blog */
		
		.blog-post-info { display: none; }
		
		.blog-post-title { 
			width: 100%;
			margin-left: 0;
		}
		
		.blog-post-title p i { margin-left: 0; }

	}
	
/* #Mobile ( Landscape )
  ========================================================================== */

	@media only screen and (min-width: 480px) and (max-width: 767px) {
		
		.row { padding: 0 40px; }
		
		#mobile-menu-trigger { right: 30px; }
		
		/* Portfolio Items */
		
		.portfolio-strip li,
		.portfolio-items li {
			float: left;
			width: 50%;
		}
		
		.portfolio-item:hover .portfolio-item-overlay .portfolio-item-description { bottom: 70px; }
		
	}	